> For the complete documentation index, see [llms.txt](https://api.senderwiz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.senderwiz.com/customer/segments/get-all-list-segment-condition-operators.md).

# Get All List Segment Condition Operators

### 🔍 Get All List Segment Condition Operators

Fetch all supported condition operators to be used in segment filters such as "is", "contains", or "starts with".

#### 🔹 HTTP Request

```http
GET API-URL/lists/segments/condition-operators
```

#### 🔐 Authorization Header

```
X-API-KEY: your-api-key-here
```

#### 💻 PHP Example

```php
// GET ALL ITEMS
$response = $endpoint->getConditionOperators();

// DISPLAY RESPONSE
echo '<pre>';
print_r($response->body);
echo '</pre>';
```

#### 📦 Sample JSON Response

```json
{
  "status": "success",
  "data": {
    "count": "10",
    "records": [
      { "operator_id": "1", "name": "is", "slug": "is" },
      { "operator_id": "2", "name": "is not", "slug": "is-not" },
      { "operator_id": "3", "name": "contains", "slug": "contains" },
      { "operator_id": "4", "name": "not contains", "slug": "not-contains" },
      { "operator_id": "5", "name": "starts with", "slug": "starts" },
      { "operator_id": "6", "name": "ends with", "slug": "ends" },
      { "operator_id": "7", "name": "is greater than", "slug": "greater" },
      { "operator_id": "8", "name": "is less than", "slug": "less" },
      { "operator_id": "9", "name": "not starts with", "slug": "not-starts" },
      { "operator_id": "10", "name": "not ends with", "slug": "not-ends" }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.senderwiz.com/customer/segments/get-all-list-segment-condition-operators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
